AnyEvent::XMPP::Parser(3)

NAME
AnyEvent::XMPP::Parser - Parser for XML streams (helper for AnyEvent::XMPP)

SYNOPSIS
   use AnyEvent::XMPP::Parser;
   ...

DESCRIPTION
This is a XMPP XML parser helper class, which helps me to cope with the XMPP XML.

See also AnyEvent::XMPP::Writer for a discussion of the issues with XML in XMPP.

METHODS

new This creates a new AnyEvent::XMPP::Parser and calls "init".

set_stanza_cb ($cb)
    Sets the 'XML stanza' callback.

    $cb must be a code reference. The first argument to the callback will be this AnyEvent::XMPP::Parser instance and the second will be the stanzas root AnyEvent::XMPP::Node as first argument.

    If the second argument is undefined the end of the stream has been found.

set_error_cb ($cb)
    This sets the error callback that will be called when the parser encounters an syntax error. The first argument is the exception and the second is the data which caused the error.

set_stream_cb ($cb)
    This method sets the stream tag callback. It is called when the <stream> tag from the server has been encountered. The first argument to the callback is the AnyEvent::XMPP::Node of the opening stream tag.

init
    This methods (re)initializes the parser.

cleanup
    This methods removes all handlers. Use it to avoid circular references.

nseq ($namespace, $tagname, $cmptag)
    This method checks whether the $cmptag matches the $tagname in the $namespace.

    $cmptag needs to come from the XML::Parser::Expat as it has some magic attached that stores the namespace.

feed ($data)
    This method feeds a chunk of unparsed data to the parser.

AUTHOR
Robin Redeker, "<elmex at ta-sa.org>", JID: "<elmex at jabber.org>"

COPYRIGHT & LICENSE
Copyright 2007, 2008 Robin Redeker, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.